;
; *************************************************************************
; *                                                                       *
; *  S A M P L E   C O N F I G U R A T I O N   F I L E   I N E T . C F G  *
; *                                                                       *
; *************************************************************************
;
; Version 3.1
;
; The Internet Connection! (c) By Mark Williamson, Omega Software (tm)
; Configuration file designed by James Goldbloom, Optimized Software (tm)
;
; This file contains 24 non-case sensitive keywords read by INET.
; All comments are preceded with semi-colons and are ignored.
; To disable a keyword, precede it with a semi-colon, do NOT remove it.
; The descriptions and caveats do not replace the details in INET.DOC!
;
; Let's begin...
;
; KEYWORD: Sysop
; SYNTAX : SysOp <firstname lastname|alias>
; EXAMPLE: SysOp Joe Blow
;
; Description:  Your first and last name, or the exact name you use as
;               system operator in your user log.  Also used for INET
;               registration number.  Match this text to that found in
;               your userbase for your account and/or INET registration.
;

Sysop Joe Blow

; KEYWORD: SysopSecLvl
; SYNTAX : SysopSecLvl <number>
; EXAMPLE: SysopSecLvl 32000
;
; Description:  This is MINIMUM security level of any INET user used to
;               determine if the import feature of the internal full
;               screen editor will be active for that user.  The user's
;               security level, presented in the door exit file from the
;               BBS, is compared with the numerical value of this keyword.

SysopSecLvl 32000

; KEYWORD: RegistrationKey
; SYNTAX : RegistrationKey <number>
; EXAMPLE: RegistrationKey 0
;
; Description:  Enter the registration key number supplied to you by the
;               author or authorized support site for INET.  Enter it
;               exactly as shown.  0 signifies INET is operating in
;               UNREGISTERED mode.

RegistrationKey 0

; KEYWORD: Origin
; SYNTAX : Origin <ZONE:NET/NODE[.POINT]>
; EXAMPLE: Origin 1:109/611
;
; Description:  This is your primary Fidonet complete node address, with
;               no point specified unless other than 0 or a boss node.
;               Use the address YOU would use when sending a message
;               to the gateway.  Aka's are not suggested to be used
;               since nodelists vary from net region and other zones.

Origin 1:123/456

; KEYWORD: Gate
; SYNTAX : Gate <ZONE:NET/NODE[.POINT]>
; EXAMPLE: Gate 1:1/31
;
; Description:  This is the Fidonet node number of the UUCP gateway system
;               which may be 1:1/31 (The official Fidonet UUCP hub) or a
;               system in your net region which serves as a UUCP gateway.
;               Check in your nodelist for "GUUCP" or "UUCP" flags.  Even
;               if messages are routed through a local hub or other means,
;               supply the destination UUCP node number to this keyword.

Gate 1:1/31

; KEYWORD: Gatename
; SYNTAX : Gatename <name>
; EXAMPLE: Gatename UUCP
;
; Description:  Usually "UUCP" without quotes, this is the text added into
;               the "To:" header (not the body text, but the *header*) which
;               the gateway system scans for, to see if the message is
;               to be handled as UUCP mail, or not.  If unsure, use UUCP.

GateName UUCP

; KEYWORD: DomainName
; SYNTAX : DomainName <@domain>
; EXAMPLE: DomainName @f611.n109.z1.fidonet.org
;
; Description:  This is the text suffixed to the body text "To:" line after
;               the user name, to signify the Internet style domain used
;               by your system on your gateway.  If you have no special
;               arrangement with your gateway operator, use the standard
;               Fidonet/UUCP styled domain, which integrates your primary
;               Fidonet address into an Internet syntaxed domain, i.e:
;
;  If you node is 1:109/611, your domain is:  "@f109.n109.z1.fidonet.org"
;  where the syntax is: "@Fnode#.Nnet#.Zzone#[.Ppoint#].fidonet.org"
;
;  Caveat:  Include the @ symbol as the first character of the domain and
;           use your primary address within this structured domain.

DomainName f456.n123.z1.fidonet.org

; KEYWORD: Outbound
; SYNTAX : Outbound <[drive:]\path>
; EXAMPLE: Outbound c:\mailer\netmail
;
; Description:  This is the path to your netmail directory on your disk
;               which stores the *.MSG messages destined for your gateway.
;               This path must be valid, and drive letter is optional unless
;               necessary.  Check your spelling, carefully!

Outbound C:\NETMAIL

; KEYWORD: ToLineFormat
; SYNTAX : ToLineFormat <text $[\r]>
; EXAMPLE: ToLineFormat To: $\r
;
; Description:  This is the text, followed by the Internet address of the
;               recipient of the message.  The dollar sign $ is a special
;               INET metacharacter which is replaced by the Internet
;               address when the message is created, and is required.
;               Another INET metacharacter valid in this line is "\r"
;               which signifies a hard carriage return.  Use at least one.
;               This keyword nearly 100% of the time will remain as the
;               default in this sample file, "To: $" without quotes and
;               it is NOT suggested you change this keyword default.

ToLineFormat To: $\r

; KEYWORD: ReplyLineFormat
; SYNTAX : ReplyLineFormat <text $[\r]>
; EXAMPLE: ReplyLineFormat Reply-To: $\r\r
;
; Description:  This is the text located below the "ToLineFormat" text,
;               to signify the Internet address of the originator of the
;               message (who wrote it) and follows the same syntax of
;               the ToLineFormat keyword.  Again, the $ metacharacter is
;               used, which will be the user name or alias followed by
;               the DomainName text, if defined.  As before, the default
;               of "Reply-To: $" without quotes is Fidonet/UUCP compliant
;               so it is NOT suggested you change this keyword default.
;               Again, "\r" represents a hard carriage return, to insure
;               the proper formatting of the line when examined by the
;               gateway software.  Do not change this unless necessary.
;
; Caveats:  You may want to use two "\r" metacharacters in a row to
;           separate the the headers from the physical message body text.

ReplyLineFormat Reply-To: $\r\r

; KEYWORD: MsgAreaName
; SYNTAX : MsgAreaName <text>
; EXAMPLE: MsgAreaName This BBS's FREE Internet Gateway!
;
; Description:  This text determines the message area title passed to
;               the internal (or externally defined) editor when a user
;               enters a message which INET has intercepted as a REPLY
;               to an Internet message from the gateway.  You can either
;               use the same title as the one in your BBS's netmail message
;               base, or be creative and make up something unique!
;               Purely for display purposes when the user is online.

MsgAreaName Fidonet <-> UUCP Internet Gateway

; KEYWORD: Flags
; SYNTAX : Flags <Crash | Private | Local | Kill>
; EXAMPLE: Flags Private Local Kill
;
; Description:  These are the bits to be toggled on the exported netmail
;               message sent to your UUCP gateway from your system. Any or
;               all words may be included, each separated by a single space.
;
; CRASH - tells your mailer to bypass routing, send direct to UUCP hub.
; PRIVATE -  tells your mailer the message is private (highly suggested)
; LOCAL - tells your mailer the message is of local origin (suggested)
; KILL - tells your mailer to delete the message after it is sent to hub
;
; Caveat:  Only DISABLE crash if your UUCP gateway is a long distance
;          call and your local or other network hub *has* authorized you
;          to route messages destined for UUCP through their node.  This
;          can save you money, needless to say!  But ASK YOUR HUBS FIRST.

Flags Crash Private Local Kill

; KEYWORD: AppendText
; SYNTAX : AppendText <text|[drive:]\path\filename[.ext]>
; EXAMPLE: AppendText c:\bbs\txtfiles\append.txt
;
; Description:  This is either a filename (with path specified) or 70
;               characters of text (1 line) to be added automatically to the
;               bottom of each Internet netmail messages sent to UUCP hub.
;               Please adjust APPEND.TXT in the INET main directory if
;               you use the default, specified below.  Keep your file
;               under 5 lines, and limit to 78 columns if possible
;               since many gateways strip high-ascii and format wildly!
;               Advertise your BBS, or those fancy Internet signatures.
;
; Caveats:  Avoid HIGH ascii graphics, and keep the files SHORT!  The
;           gateway operators appreciate this, so keep them VERY happy!

AppendText C:\INET\APPEND.TXT

; KEYWORD: AddressBook
; SYNTAX : AddressBook
; EXAMPLE: AddressBook
;
; Description:  The mere presence of this keyword enables the powerful
;               address book functions of The Internet Connection!, so
;               leave this line as is to allow use of an address book
;               for you and your users.  Comment this line out to
;               completely disable the address book feature (sigh!).

AddressBook

; KEYWORD: MaxFileDays
; SYNTAX : MaxFileDays <number>
; EXAMPLE: MaxFileDays 60
;
; Description:  If the address book is enabled, this numerical value
;               from 1 to 65536 determines the maximum number of DAYS
;               an inactive user's data in the address book will remain
;               prior to purging via the "/PACK" command line parameter
;               passed to INET.EXE during maintenance, or manually
;               through the PURGE/PACK options in INETUTIL.EXE.  To
;               disable purging, comment this line out, please. A
;               suggested value is 90, to allow about 3 months inactivity.

MaxFileDays 90

; KEYWORD: MaxAddresses
; SYNTAX : MaxAddresses <number>
; EXAMPLE: MaxAddresses 100
;
; Description:  If the address book is enabled, this numerical value
;               from 1 to 200 determines how many different addresses
;               each user can store in their own private address book.
;               A suggested value for this is 100 per user.

MaxAddresses 100

; KEYWORD: PublicBookSecurity
; SYNTAX : PublicBookSecurity <number>
; EXAMPLE: PublicBookSecurity 10
;
; Description:  If the address book is enabled, this numerical value
;               from 0 to 65536 represents the MINIMUM security level
;               of the user to allow them to ADD/DELETE or EDIT data
;               stored in the PUBLIC address book, only.  This level
;               is compared with the value in the door exit file of the BBS.
;               Comment out to disable.

PublicBookSecurity 10

; KEYWORD:  Editor
; SYNTAX :  Editor <[drive]:\path\filename.ext [parameters]>
; EXAMPLE:  Editor c:\bbs\editor\gedit.exe *P *B 60 300 -S32000 -N*N
;
; Description:  This is an important configuration line which must be
;               specified properly for the /REPLY feature of INET to work.
;               The path and filename of the external message editor you
;               use for your system, and any parameters the editor needs
;               in order to run the editor as if it were NOT connected to
;               the BBS, are to be specified.  Consult the INET.DOC file
;               for many examples of popular editors, used with INET.  The
;               default example will work reliably with GEDIT 2.10, one of
;               the more common editors around.  Adjust the path if you
;               run GEDIT.  This keyword requires careful attention, so
;               read the INET.DOC file on this keyword, to benefit.
;
; Caveats:  *P = Port  *B = Baud Rate  *N = Node#  <-- Valid metacharacters

Editor C:\GEDIT\GEDIT.EXE *P *B 60 300 -S32000 -N*N

; KEYWORD: MsgInfo
; SYNTAX : MsgInfo <filename[.ext.]>
; QUICKBBS EXAMPLE: MSG.INF
; RA EXAMPLE: MSGINF
;
; Description:  DO NOT INCLUDE THE PATH.  This is the filename ONLY of the
;               MSGINF or MSG.INF file created by your BBS, which contains
;               information about each reply - passed to the message
;               editor.  Consult the INET.DOC on why paths are not used,
;               and to seek examples for YOUR particular BBS type.

MsgInfo MSG.INF

; KEYWORD: MsgInfoFormat
; SYNTAX : MsgInfoFormat <FROM | TO | SUBJ | MSGNUM | MSGAREA | PRIVATEFLAG>
; EXAMPLE: MsgInfoFormat From To Subj MsgNum MsgArea PrivateFlag
;
; Description:  This is the file INET.EXE examines when a user replies to
;               any message on your system if the powerful /REPLY mode of
;               INET is enabled.  It contains information passed to the
;               message editor (Internet or External) as created by your
;               BBS.  There are examples in the INET.DOC, please follow
;               those, or simply shell out of your editor and examine
;               the contents of the file (MSG.INF or MSGINF, usually) to
;               see the makeup.  INET.DOC has most BBS's exampled.  This
;               keyword informs INET.EXE of the *structure* or physical
;               layout of the file, and it must be set for the format
;               created by your BBS.  Here are the following metacharacters:
;
; From - who the message is from (who wrote it)
; To - who the message is to (the recipient)
; Subj - the subject of the message
; MsgNum - the message number (NOT used for QuickBBS, but is for RA, i.e.)
; MsgArea - the message area title where the message resides in
; PrivateFlag - determines if the message is private or not
;
; Remember:  This keyword determines the STRUCTURE of the file and must
;            be in the correct order of the MSG.INF or MSGINF file!  You
;            may substitute text for these structures, such as putting in
;            the word PRIVATE in place of PrivateFlag, if desired, but
;            it's wiser to use the metacharacters.  Read INET.DOC to
;            find the correct structure for YOUR particular BBS, please.

MsgInfoFormat From To Subj MsgNum MsgArea PrivateFlag


; KEYWORD: MsgTemp
; SYNTAX : MsgTemp <filename[.ext]>
; EXAMPLE: MsgTemp MSGTMP
;
; Description:  DO NOT INCLUDE PATH!  This is the name of the MSGTMP or
;               MSG.TMP file, filename only without path, which contains
;               the message text passed to the editor for quoting.  Please
;               consult INET.DOC for examples for your particular BBS.  If
;               your BBS seemingly aborts or bypasses the editor when a
;               reply is initiated, it could be due to this keyword being
;               configured incorrectly.  This is the file created by your
;               BBS, which the editor looks for, containing message text.
;               The below example works for QuickBBS, i.e.  NO PATH unless
;               your editor requires it (99% of them do not...)

MsgTemp MSGTMP

; KEYWORD: ExportInfo
; SYNTAX : ExportInfo
; EXAMPLE: ExportInfo
;
; Description:  The mere presence of this keyword, with no data passed to
;               it, determines if a time/date stamp and product information
;               is to be appended to the bottom of all outbound messages
;               destined for your gateway.  Nice to see when the message
;               exported to your mailer.  The user sees it, also.  To
;               disable this output - comment this line out, please.

ExportInfo

; KEYWORD: LogFilePath
; SYNTAX : LogFilePath <[drive:]\path>
; EXAMPLE: LogFilePath c:\bbs\logs
;
; Description:  This is the path, but NOT the filename, of the logfile
;               generated by INET.EXE during its sessions.  Do not include
;               the filename, INET will create it for you utilizing any
;               node numbers for multinode setups, such as INETLOG.5 for
;               node 5, i.e.   Use only a valid path.

LogFilePath c:\inet

; KEYWORD: MessageCost
; SYNTAX : MessageCost <number>
; EXAMPLE: MessageCost 25
;
; Description:  This numerical value from 0 to 10000 determines in CENTS
;               the amount of pennies to deduct from the user's netmail
;               credit account, if enabled.  Setting to 0 or commenting
;               this line out disables cost reduction.  Use this value if
;               you send CRASH, LONG DISTANCE, to your UUCP gateway!  If
;               your gateway is long distance, but you send ROUTED, you
;               obviously can set this value to zero.  Be smart about it!

MessageCost 0

; KEYWORD: AllowHandles
; SYNTAX : AllowHandles
; EXAMPLE: AllowHandles
;
; Description:  The mere presence of this keyword enables aliases to be
;               entered by the user when they are originating a message
;               to be sent to the gateway, via /POST or /REPLY modes.
;               This method is NOT recommended since users often change
;               aliases thus losing their inbound mail sent prior to a
;               change, and also some gateways REQUIRE firstname and
;               lastname in the "Reply-To:" lines and certain headers also.
;               To enable this function (not suggested) remove the
;               semi-colon, please.  Aliases are not recommended.

;AllowHandles

; KEYWORD: Semaphore
; SYNTAX : Semaphore <[drive:]\path\filename[.ext]>
; EXAMPLE: Semaphore c:\fd\fdrescan.now
;
; Description:  When a user saves a message destined for the UUCP gateway,
;               a copy is instantly sent to your netmail directory, but
;               your mailer can be told (if running multinode, for example)
;               to immediately start its routing or dialing, etc.  It will
;               perform a rescan of all netmail, and initiate any events
;               you have programmed.  Most mailers scan for the existence
;               of sempahore files every 10-300 seconds or so, and if found
;               the mailer does it's thing.  This keyword creates this
;               semaphore file!  Consult your mailer documentation to find
;               out the path and filename it looks for and use accordingly.
;               The below example is for Front Door, residing in a path
;               called FD off the C drive to help you understand this, and
;               has been commented out for obvious reasons.

;SemaPhore C:\FD\FDRESCAN.NOW

; KEYWORD: MsgBasePath
; SYNTAX : MsgBasePath <[drive:]\path>
; EXAMPLE: MsgBasePath c:\bbs\messages
;
; Description:  This keyword allows importing of outbound netmail right into
;               your message base so your users can see messages they have
;               sent to the gateway, even if mailed.  Use this to POINT TO
;               the message base file(s) (no filenames, JUST the paths!!)
;               The example below is commented out for obvious reasons.

;MsgBasePath  C:\BBS\MSGS

; KEYWORD: MsgBaseType
; SYNTAX : MsgBaseType <NONE|GOLDBASE|HUDSON|SQUISH|JAM|MSG>
; EXAMPLE: MsgBaseType GOLDBASE
;
; Description:  This determines the message base format you run, where all
;               messages destined for UUCP are copied to, so your users
;               can view their own outbound messages in the message base,
;               for their own records or assurance.  Valid choices are:
;
; NONE - the default, don't import UUCP messages at all
; GOLDBASE - For QuickBBS 2.80 series - Goldbase version (Pegasus Group)
; HUDSON - for RA/QuickBBS and others - the Adam Hudson classic format
; SQUISH - for those supporting SQUISH format
; JAM - for those supporting the JAM format
; MSG - for those who want INET to create Fidonet compliant *.MSG files
;
; Use only ONE, and these can be easily toggled via INETUTIL.EXE.
; The example below has been commented out for obvious reasons.

;MsgBaseType  HUDSON

; KEYWORD: MsgBoard
; SYNTAX : MsgBoard <[number]>
; EXAMPLE: MsgBoard 190
;
; Description:  This is the message board number to import copies of the
;               messages written by users destined for the UUCP gateway.
;               Certain message formats which use directories do not
;               require this keyword, such as JAM, SQUISH or MSG format.
;               HUDSON and GOLDBASE certainly require this keyword.
;               For obvious reasons the below example has been commented
;               out, so uncomment this to enable.
;

;MsgBoard 190

;
; END OF CONFIGURATION FILE -- PLEASE SEND YOUR INET.CFG TO THE SUPPORT
; SITES IF YOU HAVE TROUBLE WITH THE INTERNET CONNECTION!  SEND MAIL TO
; MARK WILLIAMSON AT 1:202/750 OR JAMES GOLDBLOOM AT 1:109/611, FIDONET
;

